Skip to main content
PATCH
/
v2
/
call-agent
Update Call Agent
curl --request PATCH \
  --url https://api.example.com/v2/call-agent \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "end_call_on_recording_refusal": true,
  "recording_disclaimer_required": true,
  "voice_id": "<string>",
  "voice_temperature": 1
}
'
{
  "id": "<string>",
  "end_call_on_recording_refusal": true,
  "recording_disclaimer_required": true,
  "voice_id": "<string>",
  "voice": {
    "id": "<string>",
    "name": "<string>",
    "accent": "<string>",
    "age": "<string>",
    "gender": "<string>",
    "provider": "<string>",
    "preview_audio_url": "<string>"
  },
  "voice_temperature": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.api.stuut.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Update call agent voice and personality settings.

end_call_on_recording_refusal
boolean | null

Whether to hang up the call if the user does not consent to recording

recording_disclaimer_required
boolean | null

Whether the call agent must include the recording disclaimer. Only Stuut staff can update this field.

voice_id
string | null

Voice DB ID (vce_...)

voice_speed
enum<string> | null

Voice speed

Available options:
slowest,
slow,
normal,
fast,
fastest
voice_temperature
number | null

Voice temperature 0.0-2.0

Required range: 0 <= x <= 2
stt_mode
enum<string> | null

STT model selection mode for voice agents.

AUTO: Starts with Scribe, auto-detects language, switches to best Deepgram model FLUX: English-only, best quality, built-in turn detection (Deepgram Flux) SCRIBE: 90+ languages including Arabic (ElevenLabs Scribe V2)

Available options:
auto,
flux,
scribe

Response

Successful Response

Call agent with current voice details.

id
string
required
end_call_on_recording_refusal
boolean
required
recording_disclaimer_required
boolean
required
voice_id
string | null
required
voice
Voice · object
required

ElevenLabs voice from the synced voice catalog.

voice_speed
enum<string>
required
Available options:
slowest,
slow,
normal,
fast,
fastest
voice_temperature
number
required
stt_mode
enum<string>
required

STT model selection mode for voice agents.

AUTO: Starts with Scribe, auto-detects language, switches to best Deepgram model FLUX: English-only, best quality, built-in turn detection (Deepgram Flux) SCRIBE: 90+ languages including Arabic (ElevenLabs Scribe V2)

Available options:
auto,
flux,
scribe